ChangeSet 1.1608.24.16, 2004/02/27 12:12:12-08:00, david-b@pacbell.net

[PATCH] USB: usbnet learns about Zaurus C-860

New Zaurus ID, from Sven Trampel <Sven.Trampel@surf-club.de>


 drivers/usb/net/usbnet.c |    9 +++++++++
 1 files changed, 9 insertions(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue Mar 16 15:06:05 2004
+++ b/drivers/usb/net/usbnet.c	Tue Mar 16 15:06:05 2004
@@ -3314,6 +3314,15 @@
 	.bInterfaceSubClass     = 0x0a,
 	.bInterfaceProtocol     = 0x00,
 	.driver_info =  (unsigned long) &zaurus_pxa_info,
+}, {
+	.match_flags    =   USB_DEVICE_ID_MATCH_INT_INFO
+		 | USB_DEVICE_ID_MATCH_DEVICE,
+	.idVendor               = 0x04DD,
+	.idProduct              = 0x9050,	/* C-860 */
+	.bInterfaceClass        = 0x02,
+	.bInterfaceSubClass     = 0x0a,
+	.bInterfaceProtocol     = 0x00,
+	.driver_info =  (unsigned long) &zaurus_pxa_info,
 },
 #endif
 
